package gov.va.med.esr.mvc.model;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


@XmlRootElement(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getEligibilityDeterminationRequest")
public class GetEDStatusRequest implements Serializable{
	

	/**
	 * 
	 */
	private static final long serialVersionUID = -1047790153880038662L;

	//@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String vpid;
	
	//@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String firstName;
	
	//@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String lastName;
	//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String DOB;
	//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String gender;
//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String ssn;
	public String getDOB() {
		return DOB;
	}
	public void setDOB(String dob) {
		DOB = dob;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getVpid() {
		return vpid;
	}
	public void setVpid(String vpid) {
		this.vpid = vpid;
	}
	public String getSsn() {
		return ssn;
	}
	public void setSsn(String ssn) {
		this.ssn = ssn;
	}
	
	
	
}
